1. Fabrik 3.9 has been released. If you have updated Joomla to 3.9, this is a required update.
    Dismiss Notice

PHP 7.1 and Fabrik 3.9

Discussion in 'Community' started by ahmedo, Nov 18, 2018.

  1. ahmedo

    ahmedo Member

    Level: Community
    I recently updated two of my websites to the latest Joomla, Fabrik 3.9 and PHP 7.1. I encountered issues with any form that has calc code. One of the sites I use to test ideas and has nothing but the default Joomla template and Fabrik components. I had to go back to PHP 5.6 and everything went back to normal.

    One of the sites gave me this error.
    syntax error, unexpected '*'

    Has anyone encountered such errors?
     
  2. troester

    troester Well-Known Member Staff Member

    Level: Community
    Try with php7.2
    I recently had an issue with Joomla's ArrayHelper which was ok with php5.6 and 7.2 but failing with 7.0
     
  3. ahmedo

    ahmedo Member

    Level: Community
    Unfortunately, my host provides 7.1 as the latest version of PHP at the moment.
     

Share This Page